Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSModelGroup

All Superinterfaces:
  XSObject, XSTerm

All Known Implementing Classes:
  XSModelGroupImpl

Deprecated. The interface may be updated or replaced.

public interface XSModelGroup
extends XSTerm

This interface represents the Model Group schema component.

Field Summary
`static short` | `COMPOSITOR_ALL` Deprecated. This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model.
`static short` | `COMPOSITOR_CHOICE` Deprecated. This constant value signifies a choice operator.
`static short` | `COMPOSITOR_SEQUENCE` Deprecated. This constant value signifies a sequence operator.

Method Summary
`XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`short` | `getCompositor()` Deprecated. [compositor]: one of all, choice or sequence.
`XSObjectList` | `getParticles()` Deprecated. A list of [particles].

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### COMPOSITOR_SEQUENCE

    public static final short COMPOSITOR_SEQUENCE

  Deprecated.
  This constant value signifies a sequence operator.

### COMPOSITOR_CHOICE

    public static final short COMPOSITOR_CHOICE

  Deprecated.
  This constant value signifies a choice operator.

### COMPOSITOR_ALL

    public static final short COMPOSITOR_ALL

  Deprecated.
  This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model. No element in the all content model may appear more than once.

Method Detail

### getCompositor

    public short getCompositor()

  Deprecated.
  [compositor]: one of all, choice or sequence. The valid constants values are: `COMPOSITOR_SEQUENCE, COMPOSITOR_CHOICE, COMPOSITOR_ALL`.

### getParticles

    public XSObjectList getParticles()

  Deprecated.
  A list of [particles].

### getAnnotation

    public XSAnnotation getAnnotation()

  Deprecated.
  Optional. An [annotation].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.